Forcer une application ancienne sur Android récent

  • Auteur de la discussion ariela238
  • Date de début
A

ariela238

Membre
Inscrit
15 Mars 2013
Messages
6
Points
0
Bonsoir,
Ce post s'adresse à des utilisateurs "avancés", bidouilleurs, développeurs même.

J'aimerai savoir s'il est possible de forcer l'exécution d'une app ancienne sur un Android récent.

Exemple, sur PC avec les addons Firefox, je peux changer la version maximum autorisée de Firefox en éditant le fichier install.rdf d'un addon, pour continuer de l'utiliser dans des versions plus récentes de Firefox (<em:maxVersion>60.0</em:maxVersion>).
Utile pour certains addons pas MàJ depuis des années, normalement fonctionnant jusqu’à Firefox 4.0, qui fonctionnent encore sur 52.0.1.

J'aimerai utiliser GO SMS 5.76 (à savoir, la version la plus "récente" permettant une customisation totale de l'app et blinde de possibilités, vibrations personnalisées pour les sms, couleur de la led 16M couleurs, etc etc), sur Android 7 et 8.
Je l'utilise toujours actuellement sur mon ancien Galaxy S5 en Android 4.4.2, mais l'app crash à son lancement à partir d'Android 5.

En fait, pour ceux qui l'ignorent, GO SMS à partir de sa version 6.0, est devenue "ultra naze" pour rester poli. Tonne de fonctionnalités supprimées (pourquoi ?), les thèmes ultra limités (avant, possibilité de modifier couleur et opacité précise (toujours 16M couleur + 255 niveaux d'opacité) sur tous les différents textes, bulles, les background, .... tellement de possibilités qui n'existent pas dans aucune autre app SMS de nos jours comme la possibilité d'extraire les convs en XML ultra précises avec temps UNIX etc... bref).

S'il y a un moyen (en root sûrement), de forcer l'exécution d'une app limitée à Android 4 maxi, sur Android 5 et +, je prends.

Cordialement,
Des bisous,
Ariela.
 
Tardis

Tardis

Docteur qui?
Admin suppléant
Inscrit
24 Février 2014
Messages
49 204
Points
113
Bonjour

Non,aucune chance. Les applis doivent être à jour pour tourner sur les dernières API Google. Il n'y a pas d'autre alternative.
 

Haut Bas